Skip to main content

List member challenges

Use this endpoint for information on what multi-factor authentication challenges need to be answered in order to aggregate a member. If the aggregation is not challenged, i.e., the member does not have a connection status of CHALLENGED, then code 204 No Content will be returned. If the aggregation has been challenged, i.e., the member does have a connection status of CHALLENGED, then code 200 OK will be returned - along with the corresponding credentials.

GET
/users/{user_guid}/members/{member_guid}/challenges

Path Parameters

FieldRequiredType

member_guid

The unique id for a member.

Required
String

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

Query Parameters

FieldRequiredType

page

Results are paginated. Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer
Loading...